summaryrefslogtreecommitdiff
path: root/post-apt.d/50git-commit
diff options
context:
space:
mode:
Diffstat (limited to 'post-apt.d/50git-commit')
-rwxr-xr-xpost-apt.d/50git-commit9
1 files changed, 9 insertions, 0 deletions
diff --git a/post-apt.d/50git-commit b/post-apt.d/50git-commit
new file mode 100755
index 0000000..30ef0f2
--- /dev/null
+++ b/post-apt.d/50git-commit
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+# TODO: figure out what packages were acted on by the apt run, and include
+# that info in the commit message
+message="committing changes after apt run"
+
+# ignore exit code since it exits nonzero if there is nothing to do
+git commit -m "$message" || true